ru.bitel.bgbilling.plugins.organizer.server.bean

## Class RecordFilter

- java.lang.Object
- - ru.bitel.bgbilling.plugins.organizer.server.bean.RecordFilter

-     public class RecordFilter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCompletedUid()`
    `java.lang.String` | `getContains()`
    `Period` | `getDonePeriod()`
    `Page` | `getPage()`
    `int` | `getRid()`
    `int` | `getTodoGid()`
    `Period` | `getTodoPeriod()`
    `int` | `getTodoUid()`
    `boolean` | `isOnlydone()`
    `void` | `setCompletedUid(int completedUid)`
    `void` | `setContains(java.lang.String contains)`
    `void` | `setDonePeriod(Period donePeriod)`
    `void` | `setOnlydone(boolean onlydone)`
    `void` | `setPage(Page page)`
    `void` | `setRid(int rid)`
    `void` | `setTodoGid(int todoGid)`
    `void` | `setTodoPeriod(Period todoPeriod)`
    `void` | `setTodoUid(int todoUid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordFilter

          public RecordFilter()

  - ### Method Detail

    - #### getRid

          public int getRid()

    - #### setRid

          public void setRid(int rid)

    - #### getContains

          public java.lang.String getContains()

    - #### setContains

          public void setContains(java.lang.String contains)

    - #### getTodoUid

          public int getTodoUid()

    - #### setTodoUid

          public void setTodoUid(int todoUid)

    - #### getTodoGid

          public int getTodoGid()

    - #### setTodoGid

          public void setTodoGid(int todoGid)

    - #### isOnlydone

          public boolean isOnlydone()

    - #### setOnlydone

          public void setOnlydone(boolean onlydone)

    - #### getCompletedUid

          public int getCompletedUid()

    - #### setCompletedUid

          public void setCompletedUid(int completedUid)

    - #### getTodoPeriod

          public Period getTodoPeriod()

    - #### setTodoPeriod

          public void setTodoPeriod(Period todoPeriod)

    - #### getDonePeriod

          public Period getDonePeriod()

    - #### setDonePeriod

          public void setDonePeriod(Period donePeriod)

    - #### getPage

          public Page getPage()

    - #### setPage

          public void setPage(Page page)